#
# spec file for package ncompress (Version 4.2.4)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           ncompress
License:        distributable
Group:          Productivity/Archiving/Compression
Provides:       compress
Autoreqprov:    on
Version:        4.2.4
Release:        15.2
Summary:        Old standard compression utilities
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         ftp://metalab.unc.edu/pub/Linux/utils/compress/ncompress-4.2.4.tar.gz
Patch:          ncompress-4.2.4-make.diff
Patch1:         ncompress-4.2.4-lfs2.diff
Patch2:         ncompress-4.2.4-filenamelen.diff
Patch3:         ncompress-4.2.4-2GB.diff
Patch4:         ncompress-4.2.4-tempfile.diff
Patch5:         ncompress-4.2.4-warnings.diff

%description
This package contains the compress and uncompress utilities as
described in POSIX. They were the standard on old UNIX systems and are
obsoleted by gzip today.



Authors:
--------
    Peter Jannesen <peter@ncs.nl>

%debug_package
%prep
%setup -n ncompress-4.2.4
%patch
%patch1
%patch2
%patch3
%patch4
%patch5

%build
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE"
%ifarch sparc sparc64 ppc ppc64 s390 s390x mips m68k
ENDIAN=1234
%else
ENDIAN=4321
%endif
%ifarch alpha ia64
RPM_OPT_FLAGS="$RPM_OPT_FLAGS -DNOALLIGN=0"
%endif
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS -Werror" ENDIAN="$ENDIAN"
# Test if it works:
cat * >alltogether
cp alltogether	alltogether.tobecompressed
./compress	alltogether.tobecompressed
mv		alltogether.tobecompressed.Z alltogether.compressed
# Generate some test patterns:
cp alltogether	alltogether.tobegzipped
gzip		alltogether.tobegzipped
cp alltogether	alltogether.tobegzipped-1
gzip -1		alltogether.tobegzipped-1
cp alltogether	alltogether.tobegzipped-9
gzip -9		alltogether.tobegzipped-9
cd ..
rm -rf				ncompress-4.2.4.test
cp -av	ncompress-4.2.4		ncompress-4.2.4.test
ncompress-4.2.4/compress	ncompress-4.2.4.test/*	|| echo "Exit Code: $?"
ncompress-4.2.4/compress -d	ncompress-4.2.4.test/*	|| echo "Exit Code: $?"
diff	ncompress-4.2.4		ncompress-4.2.4.test

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LZW.INFO README
/usr/bin/compress
/usr/bin/uncompress
%{_mandir}/man1/*

%changelog -n ncompress
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 15 2005 - uli@suse.de
- armv4_l_ is not big-endian
* Fri Apr 22 2005 - kukuk@suse.de
- Check fchown return value
* Tue Apr 19 2005 - kukuk@suse.de
- Reactivate, rename to ncompress and fix on 64bit big-endian
* Thu Jan 24 2002 - okir@suse.de
- fixed race condition when copying file mode/ownership
* Mon Jan 21 2002 - uli@suse.de
- fixed to build on ARM
* Wed Nov 21 2001 - mls@suse.de
- Use right byteorder on mips
* Tue Oct 16 2001 - bk@suse.de
- Make it work on s390x as well
- add sparc64, ppc64 and s390x to the list of bigendian archs
- change long to int on 64-bit bigendian: s390x sparc64 and ppc64
- add test if it works
- added LZW.NOTE as documentation
- changed to BUILDROOT
* Thu Oct 04 2001 - schwab@suse.de
- Don't do unportable type punning on ia64.
* Mon Sep 04 2000 - uli@suse.de
- added PPC to endianness ifdef
* Mon Sep 04 2000 - fober@suse.de
- fixed byteorder on s390 (Fix for bug #3793)
* Wed May 17 2000 - uli@suse.de
- added fix for potential buffer overflow by marc@suse.de
* Sun Feb 27 2000 - kukuk@suse.de
- Move /usr/man -> /usr/share/man
* Sun Dec 19 1999 - kasal@suse.de
- got rid of Makefile.Linux
- changed BYTEORDER for sparc
- %%mandir/uncompress.1.gz is now symbolic link
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
